Function
assignQualityValue
Assigns quality to a character from an alphabet with integrated quality, e.g. to a specified element from a sequence.
assignQualityValue(c, q)
Include Headers
seqan/basic.h
Parameters

c | Target character to assign quality to. Types: AlphabetWithQualitiesConcept, Dna5Q, DnaQ
q | Quality to assign to the character. Types: char, int Remarks: The quality value is an integral value between 0 and 62 (inclusive).

Remarks
If q is a char then '!' is subtracted from q. This is useful for ASCII encoded PHRED scores.
Member of
DnaQ, Dna5Q
Part of Concept
AlphabetWithQualitiesConcept
See Also
getQualityValue, convertQuality, assignQualities
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:57